Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.tls
Interface CertificateVerifyer

All Known Implementing Classes:
  AlwaysValidVerifyer

    public interface CertificateVerifyer

This should be implemented by any class which can find out, if a given certificate chain is beeing accepted by an client.

Method Summary
`boolean` | `isValid(X509CertificateStructure[] certs)`

Method Detail

### isValid

    boolean isValid(X509CertificateStructure[] certs)

  Parameters:
    `certs` - The certs, which are part of the chain.
  Returns:
    True, if the chain is accepted, false otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD